Bug 466829 - Review Request: openalchemist - reflexion game
Review Request: openalchemist - reflexion game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 18:13 EDT by Xavier Bachelot
Modified: 2008-10-25 04:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 19:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atorkhov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2008-10-13 18:13:22 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/openalchemist.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/openalchemist-0.3-1.fc8.src.rpm
Description: 
OpenAlchemist is a new reflexion game which looks like Tetris but where you can take your time. Be a crazy alchemist and try to make new objects from those you get from the sky.
Comment 1 Xavier Bachelot 2008-10-14 18:52:21 EDT
New version, added a desktop file and icon.
Spec URL: http://www.bachelot.org/fedora/SPECS/openalchemist.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/openalchemist-0.3-2.fc8.src.rpm
Comment 2 Alexey Torkhov 2008-10-15 17:05:12 EDT
Correct the following things:

- Add license for data to License field.

- Add pygtk2 to Requires as openalchemist-config uses it.

- Remove duplicate files: leave one of COPYING and CODE-LICENSE. Remove licenses from datadir.
Comment 3 Xavier Bachelot 2008-10-16 04:14:28 EDT
New version, changelog :
- Modify Summary: tag.
- Add graphics license to License: tag.
- Add Requires: pygtk2.
- Update desktop file.
- Remove duplicate license files.

Spec URL: http://www.bachelot.org/fedora/SPECS/openalchemist.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/openalchemist-0.3-3.fc8.src.rpm
Comment 4 Alexey Torkhov 2008-10-18 13:08:30 EDT
REVIEW:

+ rpmlint output is ignorable:

openalchemist.i386: W: devel-file-in-non-devel-package /usr/bin/openalchemist-config

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license
(GPLv2+ and CC-BY-SA).
+ File, containing the text of the licenses for the package is included in
%doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package must matches the upstream source, as
provided in the spec URL.

3107b699d63d5ae7cbf65ddc9872c49a  openalchemist-0.3-src.tar.gz
3107b699d63d5ae7cbf65ddc9872c49a  openalchemist-0.3-src.tar.gz.orig

+ The package successfully compiles and builds into binary rpms on at least
one supported architecture (x86).
+ All build dependencies are listed in BuildRequires.
+ No need to deal with locales.
+ Does not contain shared libraries.
+ The package does not designed to be relocatable.
+ A package owns all directories that it creates.
+ A package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
+ The package consistently uses macros, as described in the macros section of
Packaging Guidelines.
+ The package contains code, or permissable content.
+ Does not contain large documentation files.
+ Includes only doc files in $doc.
+ No headers.
+ No static libraries.
+ The package does not contain pkgconfig(.pc) files.
+ The package does not contain library files with a suffix (e.g.
libfoo.so.1.1).
+ No devel packages.
+ The package does not contain any .la libtool archives.
+ Includes .desktop file. Properly installed with desktop-file-install.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
+ All filenames in the package are valid UTF-8.


This package is APPROVED.
Comment 5 Xavier Bachelot 2008-10-18 20:03:25 EDT
Thanks for the review Alexey.

New Package CVS Request
=======================
Package Name: openalchemist
Short Description: Puzzle game
Owners: xavierb
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2008-10-19 18:49:36 EDT
Shouldn't this not include the name "Tetris" in the description? 
See bug 238526 for some discussion.
Comment 7 Alexey Torkhov 2008-10-20 01:57:36 EDT
I think that "Tetris" in that form can be included in description. Problems in other games were in that they were clones and had derived names. This game in not a clone definitely. This case is like "Windows" used in wine description.

But, may be, better to remove it to match other games and take away all questions regarding legal status.

So, Xavier, please remove it from description.
Comment 8 Xavier Bachelot 2008-10-20 03:36:08 EDT
What about something like that (s/Tetris/classic falling block games/) : 
"
OpenAlchemist is a new reflexion game which looks like classic falling block games but where you can take your time. Be a crazy alchemist and try to make new objects from those you get from the sky.
"
Comment 9 Alexey Torkhov 2008-10-20 13:00:08 EDT
Sounds fine for me.

Kevin, could you create CVS for package with updated description?
Comment 10 Jason Tibbitts 2008-10-20 18:41:41 EDT
Isn't "reflexion" primarily a British spelling?  Actually wikipedia indicates that it's rare now even in British usage, with "reflection" being much more common.
http://en.wikipedia.org/wiki/American_and_British_English_spelling_differences
Comment 11 Xavier Bachelot 2008-10-21 04:08:41 EDT
The authors of the games are not native english speakers, and neither do I. I can either replace 'reflexion' by 'reflection' or by 'puzzle', just like I did in the Summary: tag. Jason, you're are the only native speaker here, so feel free to rephrase as much as you want, I'll probably be ok with it ;-) Anyway, all of this are details that can be adjusted later, so can you please create the cvs module so I can import ? I'll build when we're all ok with the spelling and grammar of the summary.
Comment 12 Kevin Fenzi 2008-10-23 16:09:56 EDT
Thanks for looking into it. 

cvs done.
Comment 13 Fedora Update System 2008-10-23 19:31:48 EDT
openalchemist-0.3-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/openalchemist-0.3-4.fc8
Comment 14 Fedora Update System 2008-10-23 19:31:53 EDT
openalchemist-0.3-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/openalchemist-0.3-4.fc9
Comment 15 Fedora Update System 2008-10-24 19:50:14 EDT
openalchemist-0.3-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-10-24 19:51:26 EDT
openalchemist-0.3-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Alexey Torkhov 2008-10-25 04:05:18 EDT
Xavier, one more thought. Shouldn't it have in .desktop file
Categories=Game;LogicGame;BlocksGame
(i.e. add BlocksGame) as it still falling blocks game?

More info on how game categories selected here:
https://www.redhat.com/archives/fedora-games-list/2007-March/msg00003.html

Note You need to log in before you can comment on or make changes to this bug.